Subject: Re: bug#63455: 30.0.50; display-buffer-in-direction is always resizing

From: Juri Linkov <[email-masked]>
Date: Fri, 19 May 2023 20:54:09 +0300

>> Does your complete patch look like this?
>
> Almost (I had to make 'ediff-setup-windows-plain-compare' do what your
> patch does).  But as I mentioned earlier, you might want to replace
> 'fit-window-to-buffer' with something conditioned on whether the user
> has customized 'temp-buffer-resize-mode' - some users simply might not
> want their windows to auto-resize.

I still don't understand the need to add a new function.
When users don't want their windows to auto-resize,
then they can simply do:

(add-to-list 'display-buffer-alist
             '("*Help*" nil
               ;; Inhibit resizing Help buffers
               (window-height . nil)))